package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsApplyCategoryEnum implements BaseEnum {
    HOME("HOME","家用空调"),
    TRADE("TRADE","商用空调"),
    ELEC("ELEC","生活电器（小家电）"),;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
